## suricata 1.0.1

=== debian/changelog ===
suricata (1.0.1-1squeeze1) testing-proposed-updates; urgency=low

  * Backport the following security patches for fix multiple IDS evasion:
    0005-Fix-segv-condition-on-DetectHttpMethodMatch-if-the-a.patch
    0006-Set-default-gid-to-1-on-Sig-init.patch
    0008-fix-NULL-indirection-while-parsing-dce-sigs-clang-fi.patch
    0009-Make-malloc-errors-on-initialization-stage-a-fatal-e.patch
    0010-Drop-streams-on-inline-mode-when-a-drop-rule-match-f.patch
    0011-Reference-atomic-vars-with-SC_ATOMIC_EXTERN-properly.patch
    0014-support-for-several-tcp-evasion-attacks.-Thanks-to-J.patch
    0015-Properly-set-tmp_ra_base_seq-in-streams.-By-Gurvinde.patch

 -- Pierre Chifflier <pollux@debian.org>  Wed, 01 Dec 2010 00:57:37 +0100

suricata (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1 (Closes: #591559)
  * Bump Standards version to 3.9.1
  * Create /var/log/suricata (Closes: #590861)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 11 Aug 2010 14:45:14 +0200

suricata (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Remove arch=native flag from build (Closes: #587714)
  * Bump Standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 01 Jul 2010 21:28:41 +0200

suricata (0.9.2-1) unstable; urgency=low

  * Imported Upstream version 0.9.2

 -- Pierre Chifflier <pollux@debian.org>  Sat, 19 Jun 2010 17:39:14 +0200

suricata (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Wed, 26 May 2010 23:09:07 +0200

suricata (0.9.0-1) unstable; urgency=low

  * Imported Upstream version 0.9.0
  * Add libcap-ng-dev to build-deps

 -- Pierre Chifflier <pollux@debian.org>  Sun, 09 May 2010 10:43:44 +0200

suricata (0.8.2-1) unstable; urgency=low

  * Imported Upstream version 0.8.2
  * Force selection of external libhtp during build
  * Enable Prelude support
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Sun, 02 May 2010 10:50:05 +0200

suricata (0.8.0-2) unstable; urgency=low

  * Update debian/copyright to include all files

 -- Pierre Chifflier <pollux@debian.org>  Sun, 21 Feb 2010 21:45:33 +0100

suricata (0.8.0-1) unstable; urgency=low

  * Initial release (Closes: #563422)

 -- Pierre Chifflier <pollux@debian.org>  Sat, 30 Jan 2010 18:25:05 +0100

## suricata 4.1.2

=== suricata-update/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# suricata-update/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/suricata
pkgincludedir = $(includedir)/suricata
pkglibdir = $(libdir)/suricata
pkglibexecdir = $(libexecdir)/suricata
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = suricata-update
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libprelude.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/suricata-1545403413/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /tmp/suricata-1545403413/missing autoconf
AUTOHEADER = ${SHELL} /tmp/suricata-1545403413/missing autoheader
AUTOMAKE = ${SHELL} /tmp/suricata-1545403413/missing automake-1.15
AWK = gawk
CARGO = /home/victor/.cargo/bin//cargo
CARGO_HOME = /home/victor/.cargo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -march=native -I${srcdir}/../rust/gen/c-headers
CLANG_CFLAGS = 
CONFIGURE_DATAROOTDIR = /usr/local/share
CONFIGURE_LOCALSTATEDIR = /usr/local/var
CONFIGURE_PREFIX = /usr/local
CONFIGURE_SYSCONDIR = /usr/local/etc
CPP = gcc -E
CPPFLAGS = -I${srcdir}/../libhtp/  -I/usr/include/nspr -I/usr/include/nss -I/usr/include/nspr
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GCC_CFLAGS = -Wextra -Werror-implicit-function-declaration
GREP = /bin/grep
HAVE_CARGO = /home/victor/.cargo/bin//cargo
HAVE_CARGO_VENDOR = /home/victor/.cargo/bin//cargo-vendor
HAVE_COCCINELLE_CONFIG = /usr/bin/spatch
HAVE_CURL = 
HAVE_GETCONF_CMD = /usr/bin/getconf
HAVE_GIT_CMD = /usr/bin/git
HAVE_LLC = 
HAVE_PCAP_CONFIG = /usr/bin/pcap-config
HAVE_PDFLATEX = /usr/bin/pdflatex
HAVE_PKG_CONFIG = /usr/bin/pkg-config
HAVE_PYTHON = /usr/bin/python
HAVE_RUSTC = /home/victor/.cargo/bin//rustc
HAVE_SPHINXBUILD = /usr/bin/sphinx-build
HAVE_WGET = /usr/bin/wget
HTP_DIR = libhtp
HTP_LDADD = ../libhtp/htp/libhtp.la
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBHTPDEVVERSION_CFLAGS = 
LIBHTPDEVVERSION_LIBS = 
LIBHTPMINVERSION_CFLAGS = 
LIBHTPMINVERSION_LIBS = 
LIBOBJS = 
LIBPCREVERSION_CFLAGS = 
LIBPCREVERSION_LIBS = 
LIBPRELUDE_CFLAGS = 
LIBPRELUDE_CONFIG = 
LIBPRELUDE_CONFIG_PREFIX = 
LIBPRELUDE_LDFLAGS = 
LIBPRELUDE_LIBS = 
LIBPRELUDE_PREFIX = 
LIBPRELUDE_PTHREAD_CFLAGS = 
LIBS = -lmagic -lnss3 -lnspr4 -lcap-ng -lpcap -lnet -ljansson -lpthread -lyaml -lpcre  -lz -llzma -lplds4 -lplc4 -lnspr4 -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LLC = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
LUAJIT_CFLAGS = 
LUAJIT_LIBS = 
LUA_CFLAGS = 
LUA_LIBS = 
MAKEINFO = ${SHELL} /tmp/suricata-1545403413/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OPTIMIZATION_CFLAGS = -march=native
OTOOL = 
OTOOL64 = 
PACKAGE = suricata
PACKAGE_BUGREPORT = 
PACKAGE_NAME = suricata
PACKAGE_STRING = suricata 4.1.2
PACKAGE_TARNAME = suricata
PACKAGE_URL = 
PACKAGE_VERSION = 4.1.2
PATH_SEPARATOR = :
PCAP_CFLAGS =  -I/usr/include
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
RUST_DEBUG = 
RUST_FEATURES = 
RUST_LDADD = ../rust/target/release/libsuricata.a -ldl -lrt -lm
RUST_SURICATA_LIB = ../rust/target/release/libsuricata.a
SECCFLAGS = 
SECLDFLAGS = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SURICATA_UPDATE_DIR = suricata-update
VERSION = 4.1.2
abs_builddir = /tmp/suricata-1545403413/suricata-update
abs_srcdir = /tmp/suricata-1545403413/suricata-update
abs_top_builddir = /tmp/suricata-1545403413
abs_top_srcdir = /tmp/suricata-1545403413
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
e_datarulesdir = /usr/local/share/suricata/rules
e_defaultruledir = /usr/local/var/lib/suricata/rules
e_enable_evelog = yes
e_localstatedir = /usr/local/var/run/suricata
e_logcertsdir = /usr/local/var/log/suricata/certs
e_logdir = /usr/local/var/log/suricata/
e_logfilesdir = /usr/local/var/log/suricata/files
e_magic_file = 
e_magic_file_comment = #
e_rundir = /usr/local/var/run/
e_sysconfdir = /usr/local/etc/suricata/
e_sysconfrulesdir = /usr/local/etc/suricata/rules
exec_prefix = ${prefix}
has_suricata_update_comment = #
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/suricata-1545403413/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
libhs_CFLAGS = 
libhs_LIBS = 
libhtp_CFLAGS = 
libhtp_LIBS = 
libnetfilter_queue_CFLAGS = 
libnetfilter_queue_LIBS = 
libnspr_CFLAGS = -I/usr/include/nspr
libnspr_LIBS = -lplds4 -lplc4 -lnspr4
libnss_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
libnss_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
no_suricata_update_comment = 
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
rust_config_comment = 
rust_config_enabled = yes
rust_vendor_comment = # 
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  libhtp
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu suricata-update/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu suricata-update/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \

## suricata 1.0.2

=== debian/changelog ===
suricata (1.0.2-2) unstable; urgency=low

  * Add init script (thanks to Edward Fjellskål)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Pierre Chifflier <pollux@debian.org>  Sun, 19 Dec 2010 18:35:50 +0100

suricata (1.0.2-1) unstable; urgency=low

  * New Upstream version 1.0.2 (Closes: #598389)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 29 Sep 2010 10:02:52 +0200

=== debian/control ===
Source: suricata
Section: net
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 7),
    autotools-dev,
    libhtp-dev (>= 0.2.3),
    libnet1-dev | libnet-dev,
    libpcap-dev,
    libpcre3-dev,
    libyaml-dev,
    libnetfilter-queue-dev,
    libprelude-dev,
    zlib1g-dev | libz-dev,
    libcap-ng-dev
Standards-Version: 3.9.1
Homepage: http://www.openinfosecfoundation.org/

Package: suricata
Architecture: any
Depends: ${shlibs:Depends},
    ${misc:Depends},
    snort-rules-default
Description: Next Generation Intrusion Detection and Prevention Tool
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 This new Engine supports Multi-Threading, Automatic Protocol Detection
 (IP, TCP, UDP, ICMP, HTTP, TLS, FTP and SMB), Gzip Decompression, Fast
 IP Matching and coming soon hardware acceleration on CUDA and OpenCL GPU
 cards.
 .
 This version has inline (NFQUEUE) support enabled.

## suricata 1.0.3

=== debian/changelog ===
suricata (1.0.3-1) unstable; urgency=low

  * Imported Upstream version 1.0.3

 -- Pierre Chifflier <pollux@debian.org>  Wed, 13 Apr 2011 16:59:32 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for Suricata
# Written by Pierre Chifflier
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build:
	dh_testdir
	dh_auto_configure -- --enable-nfqueue --enable-prelude --enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native
	sed \
		-e 's|^classification-file: .*$$|classification-file: /etc/snort/classification.config|' \
		-e 's|^default-rule-path: .*$$|default-rule-path: /etc/snort/rules|' \
		 suricata.yaml > suricata-debian.yaml

clean:
	dh clean
	rm -f suricata-debian.yaml

%:
	dh  $@

## suricata 1.0.4

=== debian/changelog ===
suricata (1.0.4-1) unstable; urgency=low

  * Imported Upstream version 1.0.4
  * Bump Standards Version to 3.9.2
  * Enable hardening-wrapper

 -- Pierre Chifflier <pollux@debian.org>  Sat, 25 Jun 2011 13:45:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
     libnetfilter-queue-dev,
     libprelude-dev,
     zlib1g-dev | libz-dev,
-    libcap-ng-dev
-Standards-Version: 3.9.1
+    libcap-ng-dev,
+    hardening-wrapper
+Standards-Version: 3.9.2
 Homepage: http://www.openinfosecfoundation.org/
 
 Package: suricata

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
 
 build:
 	dh_testdir

## suricata 1.0.5

=== debian/changelog ===
suricata (1.0.5-1) unstable; urgency=low

  * Imported Upstream version 1.0.5

 -- Pierre Chifflier <pollux@debian.org>  Wed, 27 Jul 2011 08:20:25 +0200

## suricata 1.1

=== debian/changelog ===
suricata (1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1
  * Add instructions on getting new rules using oinkmaster
  * Add Recommends on oinkmaster
  * Move snort-rules-default to Recommends

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Nov 2011 23:20:51 +0100

## suricata 1.1.1

=== debian/changelog ===
suricata (1.1.1-1ubuntu1) precise; urgency=medium

  * Fixed init script nfnetlink_queue detection for newer kernels. (LP: #1250439)
  * Fixed reference-config-file so daemon can start out-of-the-box.

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 24 Apr 2014 11:00:20 -0500

suricata (1.1.1-1) unstable; urgency=low

  * Imported Upstream version 1.1.1
  * Add configure option --enable-af-packet

 -- Pierre Chifflier <pollux@debian.org>  Wed, 07 Dec 2011 21:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 7),
     autotools-dev,
     libhtp-dev (>= 0.2.3),
@@ -20,8 +21,8 @@
 Package: suricata
 Architecture: any
 Depends: ${shlibs:Depends},
-    ${misc:Depends},
-    snort-rules-default
+    ${misc:Depends}
+Recommends: oinkmaster, snort-rules-default
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on
  rules (and is fully compatible with snort rules) to detect a variety of

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,15 @@
 
 export DEB_BUILD_HARDENING=1
 
+CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude \
+	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native
+
 build:
 	dh_testdir
-	dh_auto_configure -- --enable-nfqueue --enable-prelude --enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native
+	dh_auto_configure -- $(CONFIGURE_ARGS)
 	sed \
 		-e 's|^classification-file: .*$$|classification-file: /etc/snort/classification.config|' \
+		-e 's|^reference-config-file: .*$$|reference-config-file: /etc/snort/reference.config|' \
 		-e 's|^default-rule-path: .*$$|default-rule-path: /etc/snort/rules|' \
 		 suricata.yaml > suricata-debian.yaml

## suricata 1.2.1

=== debian/changelog ===
suricata (1.2.1-2) unstable; urgency=low

  * Use override targets in rules files (Closes: #666330)
  * Add support for parallel build in debian/rules

 -- Pierre Chifflier <pollux@debian.org>  Thu, 12 Apr 2012 01:56:48 +0200

suricata (1.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.2.1
  * Add libmagic-dev to build-deps
  * Convert to DH version 9
    - Switch from hardening-wrapper to dpkg-buildflags

 -- Pierre Chifflier <pollux@debian.org>  Mon, 23 Jan 2012 21:47:26 +0100

suricata (1.1.1-2) unstable; urgency=low

  * Add *.config files to default installation
  * Trigger rebuild with libhtp versioned symbols

 -- Pierre Chifflier <pollux@debian.org>  Thu, 05 Jan 2012 08:20:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 7),
+Maintainer: Pierre Chifflier <pollux@debian.org>
+Build-Depends: debhelper (>= 9),
     autotools-dev,
     libhtp-dev (>= 0.2.3),
     libnet1-dev | libnet-dev,
@@ -14,7 +13,7 @@
     libprelude-dev,
     zlib1g-dev | libz-dev,
     libcap-ng-dev,
-    hardening-wrapper
+    libmagic-dev
 Standards-Version: 3.9.2
 Homepage: http://www.openinfosecfoundation.org/

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,20 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
 CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude \
 	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native
 
-build:
-	dh_testdir
+override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)
 	sed \
-		-e 's|^classification-file: .*$$|classification-file: /etc/snort/classification.config|' \
-		-e 's|^reference-config-file: .*$$|reference-config-file: /etc/snort/reference.config|' \
 		-e 's|^default-rule-path: .*$$|default-rule-path: /etc/snort/rules|' \
 		 suricata.yaml > suricata-debian.yaml
 
-clean:
-	dh clean
+override_dh_clean:
 	rm -f suricata-debian.yaml
+	dh_clean
 
 %:
-	dh  $@
+	dh  $@ --parallel

## suricata 1.3.2

=== debian/changelog ===
suricata (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2

 -- Pierre Chifflier <pollux@debian.org>  Sat, 13 Oct 2012 12:18:33 +0200

suricata (1.3-1) unstable; urgency=low

  * Imported Upstream version 1.3
  * Add build-dependency on libnss3-dev and libnspr4-dev
  * Bump Standards Version to 3.9.3

 -- Pierre Chifflier <pollux@debian.org>  Sun, 22 Jul 2012 22:27:36 +0200

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
     autotools-dev,
     libhtp-dev (>= 0.2.3),
     libnet1-dev | libnet-dev,
+    libnspr4-dev,
+    libnss3-dev,
     libpcap-dev,
     libpcre3-dev,
     libyaml-dev,
@@ -14,7 +16,7 @@
     zlib1g-dev | libz-dev,
     libcap-ng-dev,
     libmagic-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.openinfosecfoundation.org/
 
 Package: suricata

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,12 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude \
-	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native
+	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native \
+	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)

## suricata 1.3.3

=== debian/changelog ===
suricata (1.3.3-1) unstable; urgency=low

  * Imported Upstream version 1.3.3

 -- Pierre Chifflier <pollux@debian.org>  Sat, 03 Nov 2012 09:38:36 +0100

## suricata 1.3.5

=== debian/changelog ===
suricata (1.3.5-1) unstable; urgency=low

  * Imported Upstream version 1.3.5

 -- Pierre Chifflier <pollux@debian.org>  Thu, 06 Dec 2012 21:13:56 +0100

suricata (1.3.4-1) unstable; urgency=low

  * Imported Upstream version 1.3.4

 -- Pierre Chifflier <pollux@debian.org>  Sat, 17 Nov 2012 09:56:08 +0100

## suricata 1.4

=== debian/changelog ===
suricata (1.4-3) unstable; urgency=low

  * Add configure flag for luajit only on supported architectures

 -- Pierre Chifflier <pollux@debian.org>  Sat, 22 Dec 2012 16:38:41 +0100

suricata (1.4-2) unstable; urgency=low

  * Fix error in init script, stop trying to manage suricata pid file
  * Use arch-specific build dependencies for libluajit-5.1-dev, it is not
    available on all architectures

 -- Pierre Chifflier <pollux@debian.org>  Sat, 22 Dec 2012 15:39:57 +0100

suricata (1.4-1) unstable; urgency=low

  * Imported Upstream version 1.4
  * Enable Jansson and LuaJIT support, and add libjansson-dev libluajit-5.1-dev
    to build-deps
  * Add python to recommends, for the suricatasc script
  * Create /var/run/suricata directory when starting daemon

 -- Pierre Chifflier <pollux@debian.org>  Fri, 14 Dec 2012 00:02:51 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,9 @@
     libprelude-dev,
     zlib1g-dev | libz-dev,
     libcap-ng-dev,
-    libmagic-dev
+    libmagic-dev,
+    libjansson-dev,
+    libluajit-5.1-dev [i386 amd64 powerpc mips armel armhf]
 Standards-Version: 3.9.3
 Homepage: http://www.openinfosecfoundation.org/
 
@@ -23,7 +25,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
     ${misc:Depends}
-Recommends: oinkmaster, snort-rules-default
+Recommends: oinkmaster, snort-rules-default, python
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on
  rules (and is fully compatible with snort rules) to detect a variety of

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,20 @@
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
 
+ARCH ?= $(shell dpkg --print-architecture)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+LUAJIT_ARCHS = i386 amd64 powerpc mips armel armhf
+
+ifneq (,$(findstring $(ARCH),$(LUAJIT_ARCHS)))
+	ENABLE_LUAJIT="--enable-luajit"
+endif
 
 CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude \
 	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native \
 	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH)
+	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	$(ENABLE_LUAJIT)
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)

## suricata 1.4.1

=== debian/changelog ===
suricata (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1
  * Install python control script (add dependency on python, and use
    dh_python2 for build)
  * Bump Standards Version to 3.9.4
  * Fix removal of pid file in init script (Closes: #700547)
    Thanks to Игорь Козинов <madvampik@gmail.com>.
  * Add support for af-packet mode in init script (Closes: #697928).
    Thanks to Jamie Strandboge <jamie@ubuntu.com>.

 -- Pierre Chifflier <pollux@debian.org>  Tue, 21 May 2013 12:42:45 +0200

## suricata 1.4.2

=== debian/changelog ===
suricata (1.4.2-1) unstable; urgency=low

  * Imported Upstream version 1.4.2

 -- Pierre Chifflier <pollux@debian.org>  Wed, 29 May 2013 16:24:52 +0200

## suricata 1.4.3

=== debian/changelog ===
suricata (1.4.3-1ubuntu1) saucy; urgency=low

  * Fixed init script nfnetlink_queue detection for newer kernels. (LP: #1250439)

 -- Rafael David Tinoco <rafael.tinoco@canonical.com>  Thu, 24 Apr 2014 10:56:19 -0500

suricata (1.4.3-1) unstable; urgency=low

  * Imported Upstream version 1.4.3

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 11:50:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     libhtp-dev (>= 0.2.3),
@@ -17,14 +18,17 @@
     libcap-ng-dev,
     libmagic-dev,
     libjansson-dev,
-    libluajit-5.1-dev [i386 amd64 powerpc mips armel armhf]
-Standards-Version: 3.9.3
+    libluajit-5.1-dev [i386 amd64 powerpc mips armel armhf],
+    python
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.4
 Homepage: http://www.openinfosecfoundation.org/
 
 Package: suricata
 Architecture: any
 Depends: ${shlibs:Depends},
-    ${misc:Depends}
+    ${misc:Depends},
+    ${python:Depends}
 Recommends: oinkmaster, snort-rules-default, python
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on

## suricata 1.4.6

=== debian/changelog ===
suricata (1.4.6-1) unstable; urgency=low

  * Imported Upstream version 1.4.6

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 18:52:34 +0200

suricata (1.4.5-1) unstable; urgency=low

  * Imported Upstream version 1.4.5
  * Prepare transition for suricata 2.0 by conflicting with libhtp >= 0.5

 -- Pierre Chifflier <pollux@debian.org>  Tue, 20 Aug 2013 16:44:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     libhtp-dev (>= 0.2.3),
+    libhtp-dev (<< 0.5),
     libnet1-dev | libnet-dev,
     libnspr4-dev,
     libnss3-dev,
@@ -29,6 +29,7 @@
 Depends: ${shlibs:Depends},
     ${misc:Depends},
     ${python:Depends}
+Conflicts:  libhtp1 (>= 0.5)
 Recommends: oinkmaster, snort-rules-default, python
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow
+
+DEB_DESTDIR = $(CURDIR)/debian/suricata
 
 ARCH ?= $(shell dpkg --print-architecture)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
@@ -27,6 +29,12 @@
 	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	$(ENABLE_LUAJIT)
 
+override_dh_auto_install:
+	dh_auto_install --destdir=$(DEB_DESTDIR)
+	rm -rf $(DEB_DESTDIR)/usr/lib/python*;\
+	(cd scripts/suricatasc &&\
+		python -B setup.py install --install-layout=deb --prefix $(DEB_DESTDIR)/usr)
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)
 	sed \
@@ -38,4 +46,4 @@
 	dh_clean
 
 %:
-	dh  $@ --parallel
+	dh  $@ --parallel --with=python2

## suricata 1.4.7

=== debian/changelog ===
suricata (1.4.7-1) unstable; urgency=low

  * Imported Upstream version 1.4.7
  * Bump Standards Version to 3.9.5
  * Run autoreconf during build to fix some errors caused by different
    autotools versions

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Dec 2013 11:29:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
+    dh-autoreconf,
     libhtp-dev (>= 0.2.3),
     libhtp-dev (<< 0.5),
     libnet1-dev | libnet-dev,
@@ -21,7 +22,7 @@
     libluajit-5.1-dev [i386 amd64 powerpc mips armel armhf],
     python
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.openinfosecfoundation.org/
 
 Package: suricata

=== debian/rules ===
--- 
+++ 
@@ -46,4 +46,4 @@
 	dh_clean
 
 %:
-	dh  $@ --parallel --with=python2
+	dh  $@ --parallel --with autotools-dev,autoreconf,python2

=== debian/watch ===
# watch control file for uscan
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#http://www.openinfosecfoundation.org/downloads/ suricata-([\d\.]*)\.tar\.gz
http://www.openinfosecfoundation.org/index.php/download-suricata [^"]*/download/suricata-([\d\.]*)\.tar\.gz

## suricata 2.0.2

=== debian/changelog ===
suricata (2.0.2-1) unstable; urgency=medium

  * Imported Upstream version 2.0.2

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Jun 2014 18:27:56 +0200

suricata (2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0
  * Update build, require a recent libhtp, and disable coccinelle tests.
  * Upload to unstable

 -- Pierre Chifflier <pollux@debian.org>  Wed, 02 Apr 2014 20:23:10 +0200

## suricata 2.0.4

=== debian/changelog ===
suricata (2.0.4-1) unstable; urgency=high

  * Imported Upstream version 2.0.4
  * Security: fix out-of-bounds access in SSH parser (Closes: #762828)
  * Urgency high, CVE-2014-6603
    Stable and Oldstable versions are not affected.

 -- Pierre Chifflier <pollux@debian.org>  Fri, 10 Oct 2014 13:19:59 +0200

suricata (2.0.3-1) unstable; urgency=medium

  * Imported Upstream version 2.0.3

 -- Pierre Chifflier <pollux@debian.org>  Wed, 20 Aug 2014 15:06:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     dh-autoreconf,
-    libhtp-dev (>= 0.2.3),
-    libhtp-dev (<< 0.5),
+    libhtp-dev (>= 0.5.5),
     libnet1-dev | libnet-dev,
     libnspr4-dev,
     libnss3-dev,
@@ -30,7 +29,6 @@
 Depends: ${shlibs:Depends},
     ${misc:Depends},
     ${python:Depends}
-Conflicts:  libhtp1 (>= 0.5)
 Recommends: oinkmaster, snort-rules-default, python
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native \
 	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
+	--disable-coccinelle \
 	$(ENABLE_LUAJIT)
 
 override_dh_auto_install:

## suricata 2.0.6

=== debian/changelog ===
suricata (2.0.6-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/patches: drop 10-fix-missing-script-autoreconf.patch (Closes: #778670)
  * d/rules: prevent not .so libhtp files from entering binary suricata package

  [ Pierre Chifflier ]
  * Add conflicts/replaces fields for transition from libhtp (Closes: #778668)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 18 Feb 2015 11:19:31 +0100

suricata (2.0.6-1) unstable; urgency=medium

  [ Pierre Chifflier ]
  * Imported Upstream version 2.0.6
  * Add Arturo to uploaders

  [ Arturo Borrero Gonzalez ]
  * suricata: use embedded copy of libhtp (Closes: #772551)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 17 Feb 2015 11:31:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
+Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     dh-autoreconf,
-    libhtp-dev (>= 0.5.5),
     libnet1-dev | libnet-dev,
     libnspr4-dev,
     libnss3-dev,
@@ -20,6 +20,7 @@
     libjansson-dev,
     libluajit-5.1-dev [i386 amd64 powerpc mips armel armhf],
     python
+Build-Conflicts: libhtp-dev
 X-Python-Version: >= 2.6
 Standards-Version: 3.9.5
 Homepage: http://www.openinfosecfoundation.org/
@@ -29,6 +30,8 @@
 Depends: ${shlibs:Depends},
     ${misc:Depends},
     ${python:Depends}
+Conflicts: libhtp1 (<< 0.5.16), libhtp-dev (<< 0.5.16)
+Replaces: libhtp1 (<< 0.5.16), libhtp-dev (<< 0.5.16)
 Recommends: oinkmaster, snort-rules-default, python
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 endif
 
 CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude \
-	--enable-non-bundled-htp --enable-gccprotect --disable-gccmarch-native \
+	--enable-gccprotect --disable-gccmarch-native \
 	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--disable-coccinelle \
@@ -35,6 +35,11 @@
 	rm -rf $(DEB_DESTDIR)/usr/lib/python*;\
 	(cd scripts/suricatasc &&\
 		python -B setup.py install --install-layout=deb --prefix $(DEB_DESTDIR)/usr)
+	# we don't want to deploy any of the libhtp files, only the .so
+	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/*.la
+	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/*.a
+	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/pkgconfig
+	rm -rf $(CURDIR)/debian/suricata/usr/include
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)

## suricata 2.0.7

=== debian/changelog ===
suricata (2.0.7-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team. 
  * CVE-2016-10728
    If an ICMPv4 error packet is received as the first packet on a flow
    in the to_client direction, it can lead to missed TCP/UDP detection
    in packets arriving afterwards.
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 19 Sep 2018 20:03:02 +0200

suricata (2.0.7-2+deb8u1) jessie-security; urgency=high

  * Backport fix for CVE-2015-0971 (Integer overflow in the DER parser)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 06 May 2015 22:42:16 +0200

suricata (2.0.7-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/suricata.init: fix proc nfqueue file checking (Closes: #725301)

  [ Pierre Chifflier ]
  * Check for both proc entries for nfqueue (backwards compatibility) and
    issue warning only

 -- Pierre Chifflier <pollux@debian.org>  Sun, 15 Mar 2015 11:17:27 +0100

suricata (2.0.7-1) unstable; urgency=medium

  [ Pierre Chifflier ]
  * Imported Upstream version 2.0.7
  * Fix problems with upstream version import

 -- Pierre Chifflier <pollux@debian.org>  Thu, 12 Mar 2015 07:06:49 +0100

suricata (2.0.6-3) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * suricata: don't deploy .so links

  [ Pierre Chifflier ]
  * Add missing installation files (Closes: #778724)
  * Fix .so symlinks removal
  * Update default-rules-path

 -- Pierre Chifflier <pollux@debian.org>  Thu, 19 Feb 2015 11:55:05 +0100

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
 Depends: ${shlibs:Depends},
     ${misc:Depends},
     ${python:Depends}
-Conflicts: libhtp1 (<< 0.5.16), libhtp-dev (<< 0.5.16)
-Replaces: libhtp1 (<< 0.5.16), libhtp-dev (<< 0.5.16)
+Conflicts: libhtp1 (<< 0.5.16)
+Replaces: libhtp1 (<< 0.5.16)
 Recommends: oinkmaster, snort-rules-default, python
 Description: Next Generation Intrusion Detection and Prevention Tool
  Suricata is a network Intrusion Detection System (IDS). It is based on

## suricata 2.0.8

=== debian/changelog ===
suricata (2.0.8-1build1) wily; urgency=medium

  * No-change rebuild against libprelude2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 23:27:35 +0000

suricata (2.0.8-1) unstable; urgency=high

  [ Arturo Borrero Gonzalez ]
  * d/suricata.logrotate: add logrotate configuration (Closes: #767249)
  * d/patches: patch suricatasc to prevent depends on python-symplejson
    (Closes: #759475)
  * Revert "d/patches: patch suricatasc to prevent depends on python-symplejson"

  [ Pierre Chifflier ]
  * Imported Upstream version 2.0.8
  * Bump Standards Version to 3.9.6
    Fixes CVE-2015-0971 (Integer overflow in the DER parser)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 07 May 2015 11:03:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: suricata
 Section: net
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
@@ -22,12 +23,13 @@
     python
 Build-Conflicts: libhtp-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.openinfosecfoundation.org/
 
 Package: suricata
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: python-simplejson,
+    ${shlibs:Depends},
     ${misc:Depends},
     ${python:Depends}
 Conflicts: libhtp1 (<< 0.5.16)

## suricata 2.0.9

=== debian/changelog ===
suricata (2.0.9-1) unstable; urgency=medium

  * Imported Upstream version 2.0.9
  * Update watch file

 -- Pierre Chifflier <pollux@debian.org>  Fri, 25 Sep 2015 19:19:53 +0200

## suricata 2.0.10

=== debian/changelog ===
suricata (2.0.10-2) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * d/copyright: update file to follow Debian Policy 3.9.6.1
  * d/control: bump standards to 3.9.6
  * suricata: add nflog support (Closes: #775074)
  * d/: wrap-and-sort
  * d/control: architecture is linux-any
  * d/rules: don't include upstream install documentation
  * d/tests: add first basic test
  * d/control: add missing Testsuite declaration
  * suritaca: add package suricata-dbg (Closes: #753438)
  * suricata sysvinit: fix libtcmalloc-minimal integration (Closes: #725249)
  * d/suricata.init: cleanup file
  * suricatasc: add manpage

  [ Pierre Chifflier ]
  * Merge unstable-next branch
  * Fix dependencies and priority for -dbg package
  * Install manpage for suricatasc

 -- Pierre Chifflier <pollux@debian.org>  Tue, 05 Jan 2016 21:02:40 +0100

suricata (2.0.10-1) unstable; urgency=medium

  * Imported Upstream version 2.0.10

 -- Pierre Chifflier <pollux@debian.org>  Thu, 26 Nov 2015 10:35:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	ENABLE_LUAJIT="--enable-luajit"
 endif
 
-CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude \
+CONFIGURE_ARGS = --enable-af-packet --enable-nfqueue --enable-prelude --enable-nflog \
 	--enable-gccprotect --disable-gccmarch-native \
 	--with-libnss-includes=/usr/include/nss --with-libnss-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
 	--with-libnspr-includes=/usr/include/nspr --with-libnspr-libraries=/usr/lib/$(DEB_HOST_MULTIARCH) \
@@ -38,14 +38,20 @@
 	# we don't want to deploy any of the libhtp files, only the .so
 	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/*.la
 	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/*.a
+	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/*.so
 	rm -rf $(CURDIR)/debian/suricata/usr/lib/*/pkgconfig
 	rm -rf $(CURDIR)/debian/suricata/usr/include
+	# clean upstream install documentation
+	rm -rf $(CURDIR)/debian/suricata/usr/share/doc/suricata/*
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_ARGS)
 	sed \
-		-e 's|^default-rule-path: .*$$|default-rule-path: /etc/snort/rules|' \
+		-e 's|^default-rule-path: .*$$|default-rule-path: /etc/suricata/rules|' \
 		 suricata.yaml > suricata-debian.yaml
+
+override_dh_strip:
+	dh_strip --dbg-package=suricata-dbg
 
 override_dh_clean:
 	rm -f suricata-debian.yaml

=== debian/watch ===
# watch control file for uscan
# run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://suricata-ids.org/download/ [^"]*/download/suricata-([\d\.]*)\.tar\.gz

## suricata 2.0.11

=== debian/changelog ===
suricata (2.0.11-1) unstable; urgency=medium

  * Imported Upstream version 2.0.11

 -- Pierre Chifflier <pollux@debian.org>  Thu, 07 Jan 2016 10:17:16 +0100

## suricata 3.0

=== debian/changelog ===
suricata (3.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0

 -- Pierre Chifflier <pollux@debian.org>  Thu, 28 Jan 2016 06:02:41 +0100

=== debian/control ===
Source: suricata
Section: net
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libcap-ng-dev,
               libjansson-dev,
               libluajit-5.1-dev [i386 amd64 powerpc mips armel armhf],
               libmagic-dev,
               libnet1-dev | libnet-dev,
               libnetfilter-log-dev,
               libnetfilter-queue-dev,
               libnspr4-dev,
               libnss3-dev,
               libpcap-dev,
               libpcre3-dev,
               libprelude-dev,
               libyaml-dev,
               python,
               zlib1g-dev | libz-dev
Build-Conflicts: libhtp-dev
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: http://www.openinfosecfoundation.org/
XS-Testsuite: autopkgtest

Package: suricata
Architecture: linux-any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Conflicts: libhtp1 (<< 0.5.16)
Replaces: libhtp1 (<< 0.5.16)
Recommends: oinkmaster, python, snort-rules-default
Suggests: libtcmalloc-minimal4
Description: Next Generation Intrusion Detection and Prevention Tool
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 This new Engine supports Multi-Threading, Automatic Protocol Detection
 (IP, TCP, UDP, ICMP, HTTP, TLS, FTP and SMB), Gzip Decompression, Fast
 IP Matching and coming soon hardware acceleration on CUDA and OpenCL GPU
 cards.
 .
 This version has inline (NFQUEUE) support enabled.

Package: suricata-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, suricata (= ${binary:Version})
Description: Next Generation Intrusion Detection and Prevention Tool - debug symbols
 Suricata is a network Intrusion Detection System (IDS). It is based on
 rules (and is fully compatible with snort rules) to detect a variety of
 attacks / probes by searching packet content.
 .
 This package contains the debug symbols for Suricata.

=== debian/tests/control ===
Test-Command: suricata --build-info
Depends: @
